//=============================================================================
// GameConst.h
//=============================================================================
#pragma once

enum {
	BATTLE_POS_FRONT = 0,	// Oq
	BATTLE_POS_BACK,		// q
};








//  tB[h
// tB[hő咷
const int FIELD_NAME_MAX_LEN = 128;
// tB[h
typedef struct FIELD_INFO_ST {
	int		nID;
	char	szName[FIELD_NAME_MAX_LEN+1];
}stFieldInfo;

//  Gp[eB
// Gp[eBő咷
const int ENEMY_PARTY_NAME_MAX_LEN = 128;

// Gp[eB
typedef struct ENEMY_PARTY_INFO_ST {
	int		nID;
	char	szName[ENEMY_PARTY_NAME_MAX_LEN+1];
}stEnemyPartyInfo;

//  v[p[eB
typedef struct PLAYER_PARTY_INFO_ST
{
	int nGill;			// LM
	int nPlayerCount;	// o
}stPlayerPartyInfo;

typedef struct PLAYER_CHARACTER_INFO_ST {

	int	nID;							// ID
	// LN^f[^
	char szName[CHR_NAME_MAX_LEN+1];	// O

	int nLV;			// ݂̃x
	int nJLV;			// ݂̃Wux

	int nBtlPos;		// zu(Oq/q)
	int nExp;			// o

	// ϓ
	int nHP;			// HP
	int nMP;			// MP
	int	nATBValue;		// ATBl

	// ɂĕς
	int	nAttack;		// U : Ũ_[W̍ɉe
	int nDefence;		// h : ɂ_[W̌yɉe
	int nMagicDef;		// @h : @ɂ_[W̌yɉe
	int nParry;			//      : U̐۔ɉe
	int nMagicPar;		// @ : @UEԈُU̐۔ɉe
	int nWeight;		// ̏d : ATB̏Q[WʂɉeiATB̑x̂̂ɂ͉eȂj

	// 	bl
	int nMaxHP;		// ς_[W
	int nMaxMP;		// ς_[W
	int nStrength;	//      : U͂ɉe
	int nVitality;	// ̗   : őHPAh́AWFl̉񕜗ʁACYhHP񕜗ʂȂǂɉe
	int nSpeed;		// f : ATBQ[W̑xɉe
	int nIntellect;	//    : őMPA@U͂ɉe
	int nPiety;		// _   : őMPAPẢ񕜗ʁA@h́A@𗦁AԈُ̎Ԃɉe
	int nLuck;		// ^     : ސANeBJAJE^[iAreBJE^[jA퓬ACe擾mAԈُU̐A𗦁EAAӂEobNA^bN̔

	// Xe[^X
	BOOL bPoison;
	BOOL bFrog;
	BOOL bParalyze;
	BOOL bSmall;
	BOOL bStone;
	BOOL bBlind;
	BOOL bZombi;
	BOOL bSilence;

}stPlayerCharacterInfo;


//  G
typedef struct ENEMY_INFO_ST {

	int	nID;							// ID
	// LN^f[^
	char szName[ENEMY_NAME_MAX_LEN+1];	// O

	int nLV;			// ݂̃x
	

	// ϓ
	int nMaxHP;			// MaxHP
	int nMaxMP;			// MaxMP
	int	nATBValue;		// ATBl

	// ɂĕς
	int	nAttack;		// U 
	int nDefence;		// h 
	int nMagicDef;		// @h 
	int nParry;			//      
	int nMagicPar;		// @ 

	// 	bl
	int nStrength;		//      
	int nVitality;		// ̗   
	int nSpeed;			// f 
	int nIntellect;		//    
	int nPiety;			// _   
	int nLuck;			// ^     

	int nGill;
	int nExp;			// o

	int nCommand[5];	// R}h
	int nItem[4];		// ACe

}stEnemyInfo;


// 퓬Op[^ ({̂ɑ)
typedef struct BATTLE_PARAM_ST
{
	stFieldInfo				Field;
	stEnemyPartyInfo		Enemy;
	stPlayerPartyInfo		Party;
	stPlayerCharacterInfo	Chara[BATTLE_CHAR_COUNT_MAX];

}stBattleParam;

enum {
	// v[R}h
	COMMAND_NONE = 0,
	COMMAND_PLAYER_ATTACK	= 1,	// 
	COMMAND_PLAYER_ITEM		= 2,	// ACe
	COMMAND_PLAYER_DEFENCE	= 3,	// ڂ
	COMMAND_PLAYER_PASS		= 4,	// pX
	COMMAND_PLAYER_CHANGE	= 5,	// `FW
	COMMAND_PLAYER_RUN		= 6,	// ɂ


	// GR}h
	COMMAND_ENEMY_ATTACK	= 100,	// 
};
