//=============================================================================
// MenuWindow.h
//=============================================================================
#pragma once
#include <list>
#include "framewindow.h"

typedef struct
{
	int		nID;						// ID
	char	szText[MENU_ITEM_MAX_LEN];	// \
}stMenuItem;

const int MENU_ITEM_COUNT_MAX	= 4;
const int CURSOR_INDEX_NONE		= -1;	// IACeȂ
const int INVALID_ITEM_ID		= -1;
//-----------------------------------------------------------------------------
// CMenuWindow
//-----------------------------------------------------------------------------
class CMenuWindow :	public CFrameWindow
{
protected:
	int			m_nItemCount;					// j[ACe
	stMenuItem	m_Item[MENU_ITEM_COUNT_MAX];	// j[ACe
	int			m_nCurSel;						// J[\ ACẽCfbNX

public:
	CMenuWindow(void);
	virtual ~CMenuWindow(void);
	BOOL IsMenu( void ) const
	{	return TRUE;	};

	void AddItem( int nIndex, int nID, const char *pText );
	void RemoveItem( int nIndex );
	void RemoveAllItems( void );

	// `
	void Render( void );

	// J[\ʒu擾
	void GetCursorDispPos( int *pX, int *pY );

	void NotifyKeyInput( int nKeyCode );
	int NotifySubmit( void );


	// I擾
	int GetCurSel( void ) const
	{	return m_nCurSel;	};

	void SetCurSel( int nIndex )
	{	m_nCurSel = nIndex;	};
};
