//=============================================================================
// Character.h
//=============================================================================

#pragma once

enum{
	ANI_PTN_NONE = 0,			// Aj[V
	ANI_PTN_WALK_AT_START,		// Jns
	ANI_PTN_ATTACK,				// U
	ANI_PTN_ATTACK_BACK,		// U̖߂
};

class CNumberAnimation;
//-----------------------------------------------------------------------------
// CCharacter
//-----------------------------------------------------------------------------
class CCharacter
{
	// `bvp^[
	enum {
		STAND		= 0,// C
		WALK_R,			// s EO
		ATACK_01,		// U Uグ
		ATACK_02,		// U U肨낵
	};
	enum {
		CHAR_CHIP_COUNT = 15,
	};

public:	// ANZXȈՉ
	stPlayerCharacterInfo	m_Param;	// p[^

	const char *m_lpzFileName;			// 摜t@C
	int		m_nPosX;					// \{ʒuX
	int		m_nPosY;					// \{ʒuY

protected:
	// VXef[^

	int		m_nHandle[CHAR_CHIP_COUNT];	// 摜nh
	int		m_nDispPicPtrn;				// \Ă`bvԍ		

	// Aj[V֘A
	int		m_nDispPosX;				// \ʒuX
	int		m_nDispPosY;				// \ʒuY
	int		m_nAnimationPtrn;			// Aj[Vp^[
	DWORD	m_dwFrameCount;				// t[JEg


	// lAj[V
	CNumberAnimation	*m_pNumAnime;		// lAj[V

protected:

	// ATB|Cg
	void IncreaseATBValue( DWORD dwFrameCount );

public:
	CCharacter(void);
	virtual ~CCharacter(void);

	BOOL LoadGraph( void );
	void SetName( const char *pName );
	void Finalize( void );

	// t[XV
	void FrameMove( void );
	// `
	void Render( void );

	// \ʒuݒ
	void SetDispPos( int nX, int nY )
	{
		m_nDispPosX = m_nPosX = nX;
		m_nDispPosY = m_nPosY = nY;
	
	};

	// Aj[Vp^[
	void StartAnimation( int nPaternNo );
	int GetAnimationFrameToHpChange( int nPaternNo );

	// ATB|Cg폜
	void ClearATBValue( void )
	{	m_Param.nATBValue = 0;	};
};
