//=============================================================================
// CommandManager.cpp
//=============================================================================
#include "Stdinc.h"
#include "CommandManager.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CCommandManager::CCommandManager(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CCommandManager::~CCommandManager(void)
{
}

//-----------------------------------------------------------------------------
// R}hǉ
//-----------------------------------------------------------------------------
void CCommandManager::AddCommand( int nID, int nParam1, int nParam2 )
{
	stCommandInfo *pInfo = new stCommandInfo;
	pInfo->nID = nID;
	pInfo->nParam1 = nParam1;
	pInfo->nParam2 = nParam2;

	m_lstCommand.push_back( pInfo );
}
//-----------------------------------------------------------------------------
// R}h폜
//-----------------------------------------------------------------------------
void CCommandManager::RemoveAllCommand( void )
{
	// EBhE`
	std::list<stCommandInfo *>::iterator it = m_lstCommand.begin();
	while( it != m_lstCommand.end() )
	{
		stCommandInfo * pInfo = (*it);
		delete pInfo;
		++it;
	}
	m_lstCommand.clear();
}
//-----------------------------------------------------------------------------
// R}h擾
// GetCommand
//-----------------------------------------------------------------------------
int CCommandManager::GetCommand( stCommandInfo *pCommandInfo )
{
	if ( m_lstCommand.size() <= 0 )
		return COMMAND_NONE;

	*pCommandInfo = *(m_lstCommand.front());

	m_lstCommand.pop_front();

	return pCommandInfo->nID;
}
