//=============================================================================
// Enemy.h
//=============================================================================
#pragma once

#include "NumberAnimation.h"
//-----------------------------------------------------------------------------
// CEnemy
//-----------------------------------------------------------------------------
class CEnemy
{
protected:
	int		m_nHandle;					// Gnh

	int		m_nGraphWidth;				// G̃TCY
	int		m_nGraphHeight;

public:		// ANZXȈՉ

	int		m_nDispPosX;				// \ʒuX
	int		m_nDispPosY;				// \ʒuY


	stEnemyInfo	m_Param;	// p[^

	// p^O (퓬ϓ)
	int m_nHP;			// MaxHP
	int m_nMP;			// MaxMP
	// Xe[^X
	BOOL m_bPoison;
	BOOL m_bFrog;
	BOOL m_bParalyze;
	BOOL m_bSmall;
	BOOL m_bStone;
	BOOL m_bBlind;
	BOOL m_bZombi;
	BOOL m_bSilence;


	int		m_nPosX;						// \ʒuX
	int		m_nPosY;						// \ʒuY
	
	// lAj[V
	CNumberAnimation	*m_pNumAnime;		// lAj[V
	void GetNumAnimeDispPos( int *pX, int *pY, int iDispWidth );

public:
	CEnemy(void);
	virtual ~CEnemy(void);

	// 
	BOOL LoadGraph( void );
	void Finalize( void );

	void FrameMove( void );
	// _O
	void Render( void );
	// \ʒuݒ
	void SetDispPos( int nX, int nY )
	{
		m_nDispPosX = m_nPosX = nX;
		m_nDispPosY = m_nPosY = nY;
	};

	void GetCursorDispPos( int *pX, int *pY );

	// HP̑
	void ChangeHitPoint( int iDiff, int iWaitFrame );

	// Ă邩
	BOOL IsAliving( void ) const
	{	return ( m_pNumAnime->IsDisplay() || 0 < m_nHP);	};

};