//=============================================================================
// Field.cpp
//=============================================================================
#include "Stdinc.h"
#include "Field.h"

// tB[h\[X
typedef struct {
	int nID;
	const char *szFileName;
}stResourceInfoField;

// tB[h\[Xe[u
const stResourceInfoField FIELD_INFO_TABLE[] = 
{
	01, FIELD_FILE_NAME_01,
	02, FIELD_FILE_NAME_02,
};
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CField::CField(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CField::~CField(void)
{
}
//-----------------------------------------------------------------------------
// Initialize
// 
//-----------------------------------------------------------------------------
BOOL CField::Initialize( int nID )
{
	m_nID = nID;

	const char *pFileName = GetFileName(m_nID);
	if ( !pFileName )
	{
		CUtility::tERROR("sField IDw肳܂[%d]", m_nID );
		return FALSE;
	}

	// wiGǂݍ
	m_nHandle = LoadGraph( pFileName ) ;
	if ( m_nHandle == DX_FAILED )
	{
		CUtility::tERROR("摜ǂݍݎs [%s]", pFileName );
		return FALSE;
	}

	return TRUE;
}
//-----------------------------------------------------------------------------
// Finalize
// I
//-----------------------------------------------------------------------------
void CField::Finalize( void )
{
	DeleteGraph( m_nHandle );
}
//-----------------------------------------------------------------------------
// GetFileName
//-----------------------------------------------------------------------------
const char *CField::GetFileName( int nID ) const
{
	for ( int iCnt = 0; iCnt < sizeof(FIELD_INFO_TABLE) / sizeof(FIELD_INFO_TABLE[0]); iCnt ++ )
	{
		if ( FIELD_INFO_TABLE[iCnt].nID == nID )
			return FIELD_INFO_TABLE[iCnt].szFileName;
	}

	return NULL;
}

//-----------------------------------------------------------------------------
// Render
// _O
//-----------------------------------------------------------------------------
void CField::Render( void )
{
	// g`
	DrawGraph( 0, 0, m_nHandle, FALSE );
}